import pprint
import re

wordcount = {}

black_list = [
    'url',
    '"',
    '#',
    '$',
    '%',
    '&',
    'in',
    'to',
    'the',
    'a',
    'and',
    'allow',
    'attackers',
    'of',
    'via',
    'on',
    'cause',
    'with',
    'for',
    'or',
    '(',
    'from',
    'is',
    'possibly',
    'uses',
    'not',
    'properly',
    'sql',
    'unknown',
    ':',
    'when',
    'modify',
    '*',
    ')',
    '.',
    'does',
    'unspecified',
    'by',
    'series',
    'do',
    'disputed',
    'over',
    'be',
    'intelligent',
    'open',
    'different',
    'presence'
]

if __name__ == '__main__':
    with open('C:\\BME\AIT\\repository\\attack taxonomy\\cve\\cve_embedded_from2005.csv', 'r') as cve:
        for line in cve:
            data = line.split(',')[2]
            words = set(data.split(' '))
            for word in words:
                is_needed = True
                for w in black_list:
                    if word.find(w) > -1:
                        is_needed = False
                        break
                # some kind of version information
                if re.search('\d', word):
                    continue
                if is_needed:
                    if word.lower() not in wordcount:
                        wordcount[word.lower()] = 1
                    else:
                        wordcount[word.lower()] += 1
    with open('C:\\BME\AIT\\repository\\attack taxonomy\\cve\\wordcount.csv', 'w') as result:
        for w in wordcount:
            result.write(w + ',' + str(wordcount[w]) + '\n')